Bug 1395124 - Overcloud deployments with external loadbalancer fail
Summary: Overcloud deployments with external loadbalancer fail
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: rc
: 10.0 (Newton)
Assignee: Michele Baldessari
QA Contact: Marius Cornea
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-15 08:43 UTC by Marius Cornea
Modified: 2016-12-14 16:32 UTC (History)
10 users (show)

Fixed In Version: openstack-tripleo-heat-templates-5.1.0-3.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-14 16:32:57 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC
OpenStack gerrit 398040 None None None 2016-11-16 03:09:01 UTC
Launchpad 1641904 None None None 2016-11-15 10:24:09 UTC

Description Marius Cornea 2016-11-15 08:43:17 UTC
Description of problem:
Overcloud deployments with external loadbalancer fail:

2016-11-15 02:35:28Z [overcloud.AllNodesDeploySteps]: CREATE_FAILED  Error: resources.AllNodesDeploySteps.resources.ControllerPostPuppet.resources.ControllerPostPuppetRestart.resources.ControllerPostPuppetRestartDeployment.resources[0]: Deployment to server failed: deploy_status_code: Deployment exited with non-zero status
2016-11-15 02:35:28Z [overcloud]: CREATE_FAILED  Resource CREATE failed: Error: resources.AllNodesDeploySteps.resources.ControllerPostPuppet.resources.ControllerPostPuppetRestart.resources.ControllerPostPuppetRestartDeployment.resources[0]: Deployment to server failed: deploy_status_code: Deployment exi

 Stack overcloud CREATE_FAILED 

openstack software deployment output show 4f339ca4-7600-4ca0-b0ef-f798bc47b6cf --all
output_values:

  deploy_stdout: |

  deploy_stderr: |
    + RESTART_FOLDER=/var/lib/tripleo/pacemaker-restarts
    + [[ -d /var/lib/tripleo/pacemaker-restarts ]]
    ++ systemctl is-active haproxy
    + haproxy_status=unknown
  deploy_status_code: 3
openstack software deployment show 4f339ca4-7600-4ca0-b0ef-f798bc47b6cf

Version-Release number of selected component (if applicable):
openstack-tripleo-heat-templates.noarch 0:5.0.0-1.7.el7ost

How reproducible:
100%

Steps to Reproduce:
1. Deploy overcloud with 3 controllers, 2 compute and an external load balancer

Actual results:
Deployment fails

Expected results:


Additional info:
The failure seems to be related to the fiz for BZ#1390962 as in the case of an external load balancer deployment haproxy is not running on the controllers.

Comment 1 Marius Cornea 2016-11-15 10:36:56 UTC
On controller nodes:

[root@overcloud-controller-0 ~]# systemctl status haproxy; echo $?

● haproxy.service - HAProxy Load Balancer
   Loaded: loaded (/usr/lib/systemd/system/haproxy.service; disabled; vendor preset: disabled)
   Active: inactive (dead)

3

Comment 2 Michele Baldessari 2016-11-15 10:40:54 UTC
Marius could you try the (trivial) review I attached here and report back?

Thanks,
Michele

Comment 3 Marius Cornea 2016-11-15 11:20:34 UTC
(In reply to Michele Baldessari from comment #2)
> Marius could you try the (trivial) review I attached here and report back?
> 
> Thanks,
> Michele

Thanks Michele. I applied it to my environment and deployment passed.

Comment 4 Marius Cornea 2016-11-15 17:38:34 UTC
This issue also affects non-ssl to ssl deployment conversion.

Comment 6 Michele Baldessari 2016-11-16 06:54:34 UTC
https://review.openstack.org/#/c/398040/ merged to stable/newton moving to POST

Comment 7 Jon Schlueter 2016-11-16 14:02:40 UTC
removing master external reference as stable/newton patch is landed

Comment 9 Marian Krcmarik 2016-11-21 10:13:18 UTC
Verified

Comment 11 errata-xmlrpc 2016-12-14 16:32:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.